--- old/usr/src/cmd/smbsrv/test-msgbuf/test_main.c	Tue Jun 11 09:10:19 2019
+++ new/usr/src/cmd/smbsrv/test-msgbuf/test_main.c	Tue Jun 11 09:10:19 2019
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -64,7 +65,7 @@
 		idx++;
 		if ((idx & 3) == 0) {
 			*pa++ = ' ';
-			putchar(' ');
+			(void) putchar(' ');
 		}
 		if ((idx & 15) == 0) {
 			*pa = '\0';
@@ -77,7 +78,7 @@
 		/* column align the last ascii row */
 		while ((idx & 15) != 0) {
 			if ((idx & 3) == 0)
-				putchar(' ');
+				(void) putchar(' ');
 			printf("   ");
 			idx++;
 		}
--- old/usr/src/cmd/smbsrv/testoplock/tol_main.c	Tue Jun 11 09:10:20 2019
+++ new/usr/src/cmd/smbsrv/testoplock/tol_main.c	Tue Jun 11 09:10:20 2019
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -165,9 +166,10 @@
 		return;
 	}
 
-	if (arg2 != NULL)
-		strlcpy((char *)ofile->TargetOplockKey, arg2,
+	if (arg2 != NULL) {
+		(void) strlcpy((char *)ofile->TargetOplockKey, arg2,
 		    SMB_LEASE_KEY_SZ);
+	}
 
 	ofile->f_refcnt++;
 	node->n_open_count++;
@@ -397,7 +399,7 @@
 
 	for (;;) {
 		if (prompt) {
-			fputs(prompt, stdout);
+			(void) fputs(prompt, stdout);
 			fflush(stdout);
 		}
 
@@ -409,7 +411,7 @@
 
 		if (prompt == NULL) {
 			/* Put commands in the output too. */
-			fputs(cmdbuf, stdout);
+			(void) fputs(cmdbuf, stdout);
 		}
 		cmd = strtok_r(cmd, sep, &savep);
 		if (cmd == NULL)
@@ -419,7 +421,7 @@
 		 * Commands with no args
 		 */
 		if (0 == strcmp(cmd, "help")) {
-			fputs(helpstr, stdout);
+			(void) fputs(helpstr, stdout);
 			continue;
 		}
 
--- old/usr/src/uts/common/fs/smbsrv/smb_alloc.c	Tue Jun 11 09:10:20 2019
+++ new/usr/src/uts/common/fs/smbsrv/smb_alloc.c	Tue Jun 11 09:10:20 2019
@@ -22,6 +22,10 @@
  * Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include <sys/types.h>
 #include <sys/sunddi.h>
 #include <sys/kmem.h>
@@ -295,7 +299,7 @@
 		return (NULL);
 	}
 	if (smh->smh_size >= size) {
-		if ((zero) & (smh->smh_size > size))
+		if ((zero) && (smh->smh_size > size))
 			bzero((caddr_t)ptr + size, smh->smh_size - size);
 		return (ptr);
 	}
--- old/usr/src/uts/common/smbsrv/mbuf.h	Tue Jun 11 09:10:20 2019
+++ new/usr/src/uts/common/smbsrv/mbuf.h	Tue Jun 11 09:10:20 2019
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2019 Joyent, Inc.
  * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -232,8 +233,9 @@
  */
 #define	MFREE(m, nn) \
 	{ \
-		if ((m)->m_flags & M_EXT) {		    \
-			(*((m)->m_ext.ext_ref))((m)->m_ext.ext_buf,	\
+		if ((m)->m_flags & M_EXT) {				\
+			(void) (*((m)->m_ext.ext_ref))			\
+			    ((m)->m_ext.ext_buf,			\
 			    (m)->m_ext.ext_size, -1);			\
 			(m)->m_ext.ext_buf = 0;				\
 		}							\
